List experiences within a project

Retrieves a list of all experiences (A/B tests, MVT, Split URL, Deployments, etc.) within a specific project. Supports filtering by status, type, tags, and other criteria. Pagination is also supported. The include parameter can fetch related data like variations or goals. The expand parameter can provide full objects for linked entities. The Knowledge Base article "The Experience Overview Screen" describes the UI equivalent.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

ID of the account that owns the retrieved/saved data

integer
required

ID of the project to which save/retrieved data is connected

Body Params
boolean

If set to true in a list request, the response will only contain the total count of matching items (extra.pagination.items_count) and will not include the actual item data. Useful for quickly getting totals without fetching full datasets.

integer | null
0 to 50
Defaults to 30

Specifies the maximum number of items to return in a single page of results. Used for pagination. Default is 30, maximum is 50.

string | null
enum
Defaults to desc

The direction for sorting the list results, based on the sort_by field.

  • asc: Ascending order (e.g., A-Z, 1-10, oldest to newest).
  • desc: Descending order (e.g., Z-A, 10-1, newest to oldest). Defaults to desc (newest/highest first) if not specified.
Allowed:
integer | null

Goal ID to be used for fetching experience's stats. Only applicable for the experiences that have access to a report. Defaults to primary experience's goal if none given.

string | null
enum
Defaults to id

A value used to sort experiences by specific field

Defaults to id if not provided

string | null

A search string that would be used to search against Experience's name and description

status
array of objects | null

The status of the experiences to be returned; either of the below can be provided

status
type
array of objects | null

The type of the experiences to be returned; either of the below can be provided

type
tags
array of integers | null

The list of tag ID's used to filter the list of returned experiences

tags
audiences
array of integers | null

The list of audience ID's used to filter the list of returned experiences

audiences
goals
array of integers | null

The list of goal ID's used to filter the list of returned experiences

goals
features
array of integers | null

The list of feature ID's used to filter the list of returned experiences

features
hypotheses
array of integers | null

The list of hypotheses ID's used to filter the list of returned experiences

hypotheses
locations
array of integers | null

The list of location ID's used to filter the list of returned experiences

locations
environments
array of strings | null

The list of environments used to filter the list of returned experiences

environments
integer
≥ 1

The page number for paginated results. For example, if results_per_page is 30, page: 2 will retrieve items 31-60. Defaults to 1 if not specified.

include
array of objects

Specifies the list of fields to be included in the response, which otherwise would be not sent.

Read more in the section related to Optional Fields

include
expand
array of objects

Specifies the list of fields which would be expanded in the response. Otherwise, only their id would be returned. Read more in the section related to Expanding Fields

expand
only
array of integers | null

Only retrieve experiences with the given ids.

only
except
array of integers
length ≤ 100

Except experiences with the given ids.

except
Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json